%define name xmms-status-plugin
%define version 0.5
%define release 3mdk

Name:          %{name}
Version:       %{version}
Release:       %{release}
Summary:       A docklet for XMMS
Group:         Sound
License:       GPL
BuildRequires: libxmms1-devel
Source:        %name-%{version}.tar.bz2
BuildRoot:     %{_tmppath}/%{name}-%{version}-buildroot
Url: http://www.btinternet.com/~ijc/xmms-status-plugin.html

%description
A status docklet for XMMS, docks into the GNOME Status dock. 

Should work with the KDE equivalent.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

%configure

%make

%install
rm -rf $RPM_BUILD_ROOT
make install libdir=$RPM_BUILD_ROOT%{_libdir}/xmms/General \
    imagesdir=$RPM_BUILD_ROOT%{_datadir}/xmms/status_docklet

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING CREDITS
%{_libdir}/xmms/General/libstatusdocklet.so
%{_libdir}/xmms/General/libstatusdocklet.la
%dir %{_datadir}/xmms/status_docklet
%{_datadir}/xmms/status_docklet/*

%changelog
* Thu Mar 01 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5-3mdk
- fix buildrequires

* Fri Feb 16 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.5-2mdk
- add url

* Mon Nov 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.5

* Tue Nov 07 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4-1mdk 
- update from Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.4

* Mon Sep 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3-1mdk
- used srpm from Gtz Waschk :
	Tue Aug 03 2000 Gtz Waschk <waschk@linux-mandrake.com> 0.3-1mdk
	- upgraded to 0.3

* Tue Jul 25 2000 Gtz Waschk <waschk@linux-mandrake.com> 0.2-1mdk
- initial Mandrake build
